com.amazonaws.services.codedeploy.model

## Class DeleteDeploymentGroupResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codedeploy.model.DeleteDeploymentGroupResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class DeleteDeploymentGroupResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a delete deployment group operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DeleteDeploymentGroupResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeleteDeploymentGroupResult` `clone()`
`boolean` `equals(Object obj)`
`List<AutoScalingGroup>` `getHooksNotCleanedUp()` If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group.
`int` `hashCode()`
`void` `setHooksNotCleanedUp(Collection<AutoScalingGroup> hooksNotCleanedUp)` If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeleteDeploymentGroupResult` `withHooksNotCleanedUp(AutoScalingGroup... hooksNotCleanedUp)` If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group.
`DeleteDeploymentGroupResult` `withHooksNotCleanedUp(Collection<AutoScalingGroup> hooksNotCleanedUp)` If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeleteDeploymentGroupResult

    public DeleteDeploymentGroupResult()

### Method Detail

#### getHooksNotCleanedUp

    public List<AutoScalingGroup> getHooksNotCleanedUp()

If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group.

Returns:
  If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group.

#### setHooksNotCleanedUp

    public void setHooksNotCleanedUp(Collection<AutoScalingGroup> hooksNotCleanedUp)

If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group.

Parameters:
  `hooksNotCleanedUp` - If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group.

#### withHooksNotCleanedUp

    public DeleteDeploymentGroupResult withHooksNotCleanedUp(AutoScalingGroup... hooksNotCleanedUp)

If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group.

NOTE: This method appends the values to the existing list (if any). Use `setHooksNotCleanedUp(java.util.Collection)` or `withHooksNotCleanedUp(java.util.Collection)` if you want to override the existing values.

Parameters:
  `hooksNotCleanedUp` - If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withHooksNotCleanedUp

    public DeleteDeploymentGroupResult withHooksNotCleanedUp(Collection<AutoScalingGroup> hooksNotCleanedUp)

If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group.

Parameters:
  `hooksNotCleanedUp` - If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DeleteDeploymentGroupResult clone()

Overrides:
  `clone` in class `Object`